LIBRARY ieee;
USE ieee.std_logic_1164.all;

entity D_flipflop is
	port
	(
		   D : in STD_LOGIC;
			clock : in std_logic;			
		   resetn : in STD_LOGIC;
		   setn : in STD_LOGIC;	
			Q: out STD_LOGIC
	);
end;


architecture behav of D_flipflop is
begin

   process(clock) is
	begin
		if (rising_edge(clock)) then
			if (resetn = '0') then
				Q<='0';
			elsif (setn = '0') then
				Q<='1';
			else
				Q<= D;
			end if;
		end if;
	end process;

end architecture;
	