library ieee;
use ieee.std_logic_1164.all;


entity testbench is
end testbench;

architecture tb of testbench is
	constant T_clk : time := 20 ns;
	signal w, resetn, clk_tb : std_logic;  -- inputs 
	signal LEDR :  std_logic_vector(9 downto 0);
	signal KEY : std_logic_vector(0 downto 0);  -- outputs
begin
	-- connecting testbench signals
	UUT : entity work.part1 port map ( KEY(0) => clk_tb, SW(1) => w, SW(0) =>resetn , LEDR => LEDR );
	


	-- continuous clock
	
	process
	begin
	clk_tb <= '1';
	wait for T_clk/2;
	clk_tb <= '0';
	wait for T_clk/2;
	end process;
	
	-- signals
	process
	begin
	resetn<='0';
	w <= '0';
	wait for 40 ns;
	resetn<='1';
	
	wait for 120 ns;
	w <= '1';
	wait for 120 ns;
	w <= '0';
	wait for 40 ns;
	w <= '1';
	wait for 60 ns;
	end process;
end tb ;